Package ru.bitel.bgbilling.modules.inet.common.service

# Interface InetDeviceService

All Superinterfaces:
  `DeviceService<InvDevice,​InetDeviceType>`

    public interface InetDeviceService
    extends DeviceService<InvDevice,​InetDeviceType>

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `deviceManage​(int invDeviceId, int inetDeviceId, java.lang.String operation, int servId, int connectionId, long timeout)` |
  `java.lang.String` | `deviceManage​(int invDeviceId, java.lang.String operation, int servId, int connectionId, long timeout)` |
  `void` | `deviceReload()` |
  `void` | `deviceReload​(int rootDeviceId)` |
  `void` | `deviceSaReinit​(int id)` |
  `java.util.List<InetDevice>` | `deviceSourceList()` |
  `InetDevice` | `deviceSourceRoot()` |
  `java.util.List<InetServ>` | `getContracts​(int id)` |
  `void` | `inetDeviceDelete​(int id)` | Удаление устройства из дерева устройств (таблица inet_device_tree в БД).
  `InetDevice` | `inetDeviceGet​(int id)` |
  `java.util.List<InetDevice>` | `inetDeviceList​(int deviceTypeId)` |
  `void` | `inetDeviceMove​(int id, java.util.Set<java.lang.Integer> cutSet)` |
  `InetDevice` | `inetDeviceRoot​(java.lang.String identifier, java.lang.String host, java.util.Set<java.lang.Integer> deviceTypeIds, java.util.Set<java.lang.Integer> deviceGroupIds, java.util.Date dateFrom, java.util.Date dateTo, java.util.Date intersectDateFrom, java.util.Date intersectDateTo, java.util.List<FilterEntityAttr> entityFilter, boolean loadDeviceGroupIds, boolean loadAncestors)` |
  `org.json.JSONObject` | `inetDeviceTree()` |
  `int` | `inetDeviceUpdate​(InetDevice inetDevice, boolean updateInvDevice)` |
  `boolean` | `isUniqueInterface​(int deviceTypeId)` |
  `java.util.Set<java.lang.Integer>` | `svlanResourceCategoryIds​(int deviceId)` |

  ### Methods inherited from interface ru.bitel.oss.systems.inventory.resource.common.service.DeviceService

  `deviceConfigPreview, deviceDelete, deviceGet, deviceGroupDelete, deviceGroupGet, deviceGroupRoot, deviceGroupUpdate, deviceList, deviceManagerMethodList, deviceMove, deviceRoot, deviceTypeDelete, deviceTypeGet, deviceTypeList, deviceTypeUpdate, deviceUpdate`

- ## Method Details

  - ### deviceReload

    @RequestWrapper(className="ru.bitel.bgbilling.modules.inet.common.service.jaxws.DeviceReloadOldRequest") @ResponseWrapper(className="ru.bitel.bgbilling.modules.inet.common.service.jaxws.DeviceReloadOldResponse") void deviceReload() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deviceReload

    void deviceReload​(int rootDeviceId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deviceSaReinit

    void deviceSaReinit​(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deviceManage

    @RequestWrapper(className="ru.bitel.bgbilling.modules.inet.common.service.jaxws.DeviceManageOldRequest") @ResponseWrapper(className="ru.bitel.bgbilling.modules.inet.common.service.jaxws.DeviceManageOldResponse") java.lang.String deviceManage​(int invDeviceId, java.lang.String operation, int servId, int connectionId, long timeout) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException, ru.bitel.bgbilling.common.BGIllegalAccessException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`
      `ru.bitel.bgbilling.common.BGIllegalAccessException`

  - ### deviceManage

    java.lang.String deviceManage​(int invDeviceId, int inetDeviceId, java.lang.String operation, int servId, int connectionId, long timeout) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException, ru.bitel.bgbilling.common.BGIllegalAccessException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`
      `ru.bitel.bgbilling.common.BGIllegalAccessException`

  - ### getContracts

    java.util.List<InetServ> getContracts​(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### inetDeviceGet

    InetDevice inetDeviceGet​(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deviceSourceList

    java.util.List<InetDevice> deviceSourceList() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deviceSourceRoot

    InetDevice deviceSourceRoot() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### inetDeviceDelete

    void inetDeviceDelete​(int id) throws ru.bitel.bgbilling.common.BGException
    Удаление устройства из дерева устройств (таблица inet_device_tree в БД).
    Parameters:
      `id` - код устройства в дереве устройств.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### inetDeviceUpdate

    int inetDeviceUpdate​(InetDevice inetDevice, boolean updateInvDevice) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### inetDeviceRoot

    InetDevice inetDeviceRoot​(java.lang.String identifier, java.lang.String host, java.util.Set<java.lang.Integer> deviceTypeIds, java.util.Set<java.lang.Integer> deviceGroupIds, java.util.Date dateFrom, java.util.Date dateTo, java.util.Date intersectDateFrom, java.util.Date intersectDateTo, java.util.List<FilterEntityAttr> entityFilter, boolean loadDeviceGroupIds, boolean loadAncestors) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### inetDeviceTree

    org.json.JSONObject inetDeviceTree() throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### inetDeviceMove

    void inetDeviceMove​(int id, java.util.Set<java.lang.Integer> cutSet) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### inetDeviceList

    java.util.List<InetDevice> inetDeviceList​(int deviceTypeId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### isUniqueInterface

    boolean isUniqueInterface​(int deviceTypeId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### svlanResourceCategoryIds

    java.util.Set<java.lang.Integer> svlanResourceCategoryIds​(int deviceId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException, ru.bitel.bgbilling.common.BGIllegalAccessException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`
      `ru.bitel.bgbilling.common.BGIllegalAccessException`